timehelper.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/tstring.h>`
`#include <ctime>`
`#include <chrono>`
Include dependency graph for timehelper.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Typedefs

typedef chrono::system_clock | log4cplus::helpers::Clock
typedef chrono::duration< long long, std::micro > | log4cplus::helpers::Duration
typedef chrono::time_point< Clock, Duration > | log4cplus::helpers::Time

## Functions

template<typename FromDuration>
Time | log4cplus::helpers::time_cast (chrono::time_point< Clock, FromDuration > const &tp)
Time | log4cplus::helpers::now ()
Time | log4cplus::helpers::from_time_t (time_t t_time)
time_t | log4cplus::helpers::to_time_t (Time const &the_time)
LOG4CPLUS_EXPORT Time | log4cplus::helpers::from_struct_tm (tm *t)
Time | log4cplus::helpers::truncate_fractions (Time const &the_time)
long | log4cplus::helpers::microseconds_part (Time const &the_time)
Time | log4cplus::helpers::time_from_parts (time_t tv_sec, long tv_usec)
LOG4CPLUS_EXPORT void | log4cplus::helpers::gmTime (tm *t, Time const &)
| Populates `tm` using the `gmtime()` function.
LOG4CPLUS_EXPORT void | log4cplus::helpers::localTime (tm *t, Time const &)
| Populates `tm` using the `localtime()` function.
LOG4CPLUS_EXPORT log4cplus::tstring | log4cplus::helpers::getFormattedTime (log4cplus::tstring const &fmt, Time const &the_time, bool use_gmtime=false)
| Returns a string with a "formatted time" specified by `fmt`.